using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Request.ArticleGroup;
using GxPress.Request.Media;
using GxPress.Result.Media;
using GxPress.Result.SystemLabel;

namespace GxPress.Service.Interface.AppHomePage
{
    public interface IAppHomePageService : IService
    {
        /// <summary>
        /// 大咖讲座
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<List<AppLabelResult<MediaCathedraResult>>> GetMediasByTeacherAsync(ArticleGroupRequest request);
        /// <summary>
        /// 大咖讲座分页
        /// </summary>
        /// <returns></returns>
        Task<PagedList<MediaCathedraResult>> MediaCathedraResult(ArticleGroupRequest request);
        /// <summary>
        /// 每日好文
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PagedList<MediaCathedraResult>> GetDayGoodTextAsync(MediaSearchRequest request);
        /// <summary>
        /// 根据IDs
        /// </summary>
        /// <returns></returns>
       Task<PagedList<MediaCathedraResult>> GetMediaByLableIdsAsync(MediaIdsRequest request);
    }
}